Subject: [PATCH] dma: edma: add device_slave_caps() support

From: [email-masked] (Vinod Koul)
Date: Thu, 25 Jul 2013 12:53:51 +0530

On Wed, Jul 24, 2013 at 02:36:26PM -0500, Joel Fernandes wrote:
> > Also another point worth considering is the approach Russell suggested, I havent
> > gotten a chance to dig deeper but if I understood it correctly then programming
> > the device_dma_parameters should be the right thing to do. Again I need to look
> > deeper and esp wrt edma
> 
> OK. I have some patches sitting in my tree too that I'm working on. With
> that I don't need to know about maximum number of allowed segments and
> can send along any number of segment. I will rework them and post them.
> fwiw, I will also implement caps API incase like Lars did populating the
> other fields though these will not be unused.
> 
> For segment size, at this time I don't know any driver that uses it
> other than davinci-pcm. For this reason the calculations can be done as
> Lars suggested (for minimum of maximum). Do you know in advance if
> you're going to amend to drop segment size if we go with what Russell
> suggested, or are you going to leave the seg-size in the caps API anyway.
I am just back and havent really done my work on this. Let me check and as I
said if my understanding is right I would be inclined to remove these fields...

~Vinod
--